package com.activiti6.service.activiti;

import com.activiti6.domain.DbTableHis;

import java.util.List;

/**
 * 流程历史单Service接口
 *
 * @author xtd
 * @date 2020-04-14
 */
public interface IDbTableHisService {
    /**
     * 查询流程历史单
     *
     * @param instanceId 流程历史单ID
     * @return 流程历史单
     */
    public DbTableHis selectDbTableHisById(String instanceId);

    /**
     * 查询流程历史单列表
     *
     * @param dbTableHis 流程历史单
     * @return 流程历史单集合
     */
    public List<DbTableHis> selectDbTableHisList(DbTableHis dbTableHis);

    /**
     * 新增流程历史单
     *
     * @param dbTableHis 流程历史单
     * @return 结果
     */
    public int insertDbTableHis(DbTableHis dbTableHis);

    /**
     * 修改流程历史单
     *
     * @param dbTableHis 流程历史单
     * @return 结果
     */
    public int updateDbTableHis(DbTableHis dbTableHis);

    /**
     * 批量删除流程历史单
     *
     * @param instanceIds 需要删除的流程历史单ID
     * @return 结果
     */
    public int deleteDbTableHisByIds(String[] instanceIds);

    /**
     * 删除流程历史单信息
     *
     * @param instanceId 流程历史单ID
     * @return 结果
     */
    public int deleteDbTableHisById(String instanceId);

    /**
     * 新增流程历史单
     *
     * @param processInstanceId 流程id
     * @param tableId           表id
     * @param tableName         表名称
     * @return 结果
     */
    public int insertDbTableHis(String processInstanceId, Long tableId, String tableName);
}
